IF OBJECT_ID('dbo.sp_fco_ins_procesos_pi') IS NOT NULL
    DROP PROCEDURE dbo.sp_fco_ins_procesos_pi 
GO
CREATE PROCEDURE dbo.sp_fco_ins_procesos_pi
(
    @pch_compania char(4),
    @psi_anio smallint,
    @pti_mes tinyint,
    @pch_sucursal char(10), /* '0'. Todas, ''. Consolidado */
    @pch_tipo_planilla char(1) = 'E' /* E Activos, Y Independientes */
)
AS
/*************************************************************************/
-- Modulo Fiscal Colombiano 2.0 ADAM V3
-- Descripcion: Alta de Procesos de Planilla Integrada
-- Autor: Juan Carlos Leguizamon
-- Fecha: Julio 2005
-- Revisiones:
-- JCL 25-AGO-07 Inclusión del campo Tipo de Planilla
/*************************************************************************/
BEGIN
    IF @pch_sucursal = '0'
    BEGIN
        INSERT INTO fco_procesos_pi (compania, anio, mes, sucursal, procesar, tipo_planilla)
        SELECT @pch_compania, @psi_anio, @pti_mes, s.sucursal, 0, @pch_tipo_planilla
        FROM vw_fco_sucursales s
        WHERE compania = @pch_compania
          AND ISNULL(s.autoliquida, 1) = 1
          AND NOT EXISTS
            (SELECT 1 FROM fco_procesos_pi x 
             WHERE x.compania = @pch_compania AND x.anio = @psi_anio AND x.mes = @pti_mes 
               AND x.sucursal = s.sucursal)
    END
    ELSE
    BEGIN
        IF NOT EXISTS(SELECT 1 FROM fco_procesos_pi 
                  WHERE compania = @pch_compania AND anio = @psi_anio 
                    AND mes = @pti_mes AND sucursal = @pch_sucursal and tipo_planilla = @pch_tipo_planilla)
            INSERT INTO fco_procesos_pi (compania, anio, mes, sucursal, procesar, tipo_planilla)
            SELECT @pch_compania, @psi_anio, @pti_mes, @pch_sucursal, 0, @pch_tipo_planilla
    END
END
GO
GRANT EXECUTE ON dbo.sp_fco_ins_procesos_pi TO PUBLIC
GO
